function [CValue, CGradient, CHessian] = DummyConstraint(x,z)

%Dummy constraint, -1 everywhere with null gradient and Hessian
%
% USAGE: [CValue, CGradient, CHessian] = DummyConstraint(x,z)
%

% Copyright 2012, Xavier Alameda-Pineda
% INRIA Grenoble Rhône-Alpes
% E-mail: xavi.alameda@gmail.com
% 
% This is part of the gtde program.
% 
% gtde is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    CValue = ones(1,size(x,2));
    CValue = -CValue;
    if nargout > 1
        CGradient = zeros(size(x));
        if nargout > 2
            CHessian = zeros(size(x,1),size(x,1),size(x,2));
        end
    end
end