function varargout = RealResultsGUI(varargin)
% REALRESULTSGUI MATLAB code for RealResultsGUI.fig
%      REALRESULTSGUI, by itself, creates a new REALRESULTSGUI or raises the existing
%      singleton*.
%
%      H = REALRESULTSGUI returns the handle to a new REALRESULTSGUI or the handle to
%      the existing singleton*.
%
%      REALRESULTSGUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in REALRESULTSGUI.M with the given input arguments.
%
%      REALRESULTSGUI('Property','Value',...) creates a new REALRESULTSGUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before RealResultsGUI_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to RealResultsGUI_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Copyright 2012, Xavier Alameda-Pineda
% INRIA Grenoble Rhône-Alpes
% E-mail: xavi.alameda@gmail.com
% 
% This is part of the gtde program.
% 
% gtde is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

% Edit the above text to modify the response to help RealResultsGUI

% Last Modified by GUIDE v2.5 05-Feb-2014 13:06:13

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @RealResultsGUI_OpeningFcn, ...
                   'gui_OutputFcn',  @RealResultsGUI_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT

function myDebug(handles)
fprintf('ListBox1:');
str = get(handles.UnselectedList,'String');
for ii=1:size(str), fprintf(' %s,',str{ii}); end
fprintf('  [%d].\n',get(handles.UnselectedList,'Value'));

fprintf('ListBox2:');
str = get(handles.SelectedList,'String');
for ii=1:size(str), fprintf(' %s,',str{ii}); end
fprintf('  [%d].\n',get(handles.SelectedList,'Value'));


% --- Sets the lists, to rerun after each selection
function handles = setLists(handles)
% Set the selected and unselected lists
set(handles.UnselectedList,'String',handles.result_files(~handles.selected));
set(handles.SelectedList,'String',handles.result_files(handles.selected));

function e = checkSelection(handles)
e = 0;
% Check Method
if ~sum(handles.plot.method)
    set(handles.ConsoleText,'String','You should select at least one method.');
    e = -1;
end

% --- Executes just before RealResultsGUI is made visible.
function RealResultsGUI_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to RealResultsGUI (see VARARGIN)

% List result files
handles.rootFolder = '/local_scratch/alamedap/Software/gtde/trunk/results/';
dirStruct = dir(strcat(handles.rootFolder,'*.mat'));
handles.result_files = {dirStruct(:).name};
handles.selected = false(size(handles.result_files));
% Remove real data
handles.selected(72) = true;
handles.selected(98) = true;
handles.selected(41) = true;
handles.selected(31) = true;
handles.selected(32) = true;
handles.selected(116) = true;
handles.selected(133) = true;

% Update unselectedlist and 2
setLists(handles);

% Data ready/not ready
handles.dataReady = false;

% Choose default command line output for RealResultsGUI
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes RealResultsGUI wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = RealResultsGUI_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes when figure1 is resized.
function figure1_ResizeFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on selection change in UnselectedList.
function UnselectedList_Callback(hObject, eventdata, handles)
% hObject    handle to UnselectedList (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get selected value and string
str = get(hObject,'String');
if ~isempty(str)
    val = get(hObject,'Value');
    handles.selected_file = str{val};
    % Show its properties
    handles = ShowExperimentProperties(handles);
end
% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function UnselectedList_CreateFcn(hObject, eventdata, handles)
% hObject    handle to UnselectedList (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
% Update handles structure
guidata(hObject, handles);

% --- Executes on selection change in SelectedList.
function SelectedList_Callback(hObject, eventdata, handles)
% hObject    handle to SelectedList (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns SelectedList contents as cell array
%        contents{get(hObject,'Value')} returns selected item from SelectedList
% Get selected value and string
str = get(hObject,'String');
if ~isempty(str)
    val = get(hObject,'Value');
    handles.selected_file = str{val};
    % Show its properties
    handles = ShowExperimentProperties(handles);
end
% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function SelectedList_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SelectedList (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
% Update handles structure
guidata(hObject, handles);


% --- Executes on button press in AddButton.
function AddButton_Callback(hObject, eventdata, handles)
% hObject    handle to AddButton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
if ~isempty(handles.selected_file),
    handles.selected(strcmp(handles.result_files,handles.selected_file)) = true;
end
% Set listboxes value to 1
set(handles.UnselectedList,'Value',1);
set(handles.SelectedList,'Value',1);
handles.dataReady = false;
% Update unselectedlist and 2
handles = setLists(handles);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in RemoveButton.
function RemoveButton_Callback(hObject, eventdata, handles)
% hObject    handle to RemoveButton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
if ~isempty(handles.selected_file),
    handles.selected(strcmp(handles.result_files,handles.selected_file)) = false;
end
% Set listboxes value to 1
set(handles.UnselectedList,'Value',1);
set(handles.SelectedList,'Value',1);
handles.dataReady = false;
% Update unselectedlist and 2
handles = setLists(handles);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in LocalizationButton.
function LocalizationButton_Callback(hObject, eventdata, handles)
% hObject    handle to LocalizationButton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
if handles.dataReady,
    set(handles.ConsoleText,'String','Excecuting plot...');
    if checkSelection(handles) < 0,
        return;
    end
    % Ploting expOptions
    plotExpOpt = handles.data.experimentOptions;
%     plotExpOpt.snrValues = plotExpOpt.snrValues(handles.plot.snr);
%     plotExpOpt.T60 = plotExpOpt.T60(handles.plot.t60);
    plotExpOpt.method = plotExpOpt.method(handles.plot.method);
    % Plotting
    PlotLocalizationErrorReal(...
        handles.data.foundTDEs(:,:,handles.plot.method),...
        plotExpOpt,...
        handles.data.errorTDEs(:,:,handles.plot.method),...
        handles.data.localization(:,:,handles.plot.method));
    
    set(handles.ConsoleText,'String','Excecuting plot... done!');
else
    set(handles.ConsoleText,'String','Please, select some files first.');
end
% Update handles structure
guidata(hObject, handles);



% --- Executes on button press in TDEAnomalies.
function TDEAnomalies_Callback(hObject, eventdata, handles)
% hObject    handle to TDEAnomalies (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
if handles.dataReady,
    set(handles.ConsoleText,'String','Excecuting plot...');
    if checkSelection(handles) < 0,
        return;
    end
    % Ploting expOptions
    plotExpOpt = handles.data.experimentOptions;
    plotExpOpt.snrValues = plotExpOpt.snrValues(handles.plot.snr);
    plotExpOpt.T60 = plotExpOpt.T60(handles.plot.t60);
    plotExpOpt.method = plotExpOpt.method(handles.plot.method);
    % Plotting
    plotTDEAnomalies(...
        handles.data.foundTDEs(:,:,handles.plot.snr,handles.plot.t60,handles.plot.method),...
        plotExpOpt,...
        handles.data.errorTDEs(:,:,handles.plot.snr,handles.plot.t60,handles.plot.method));
    
    set(handles.ConsoleText,'String','Excecuting plot... done!');
else
    set(handles.ConsoleText,'String','Please, select some files first.');
end
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in pushbutton5.
function pushbutton5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in pushbutton6.
function pushbutton6_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in pushbutton7.
function pushbutton7_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in PrepareButton.
function PrepareButton_Callback(hObject, eventdata, handles)
% hObject    handle to PrepareButton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
if sum(handles.selected) && ~handles.dataReady
    set(handles.ConsoleText,'String','Preparing files...');
    PrepareDataTDEGUI(handles.rootFolder,handles.result_files(handles.selected));
    [foundTDEs, experimentOptions, errorTDEs, localization] = PrepareRealData2Plot(handles.result_files(handles.selected));
    % Store data
    handles.data.foundTDEs = foundTDEs;
    handles.data.experimentOptions = experimentOptions;
    % Real data does not have T60 or SNR
    handles.data.experimentOptions.snrValues = [];
    handles.data.experimentOptions.T60 = [];
    handles.data.errorTDEs = errorTDEs;
    handles.data.localization = localization;
    % Mark it's ready
    handles.dataReady = true;
    set(handles.ConsoleText,'String','Preparing files... done!');
    % What to plot
    handles.plot.snr = [];
    handles.plot.t60 = [];
    handles.plot.method = false(size(handles.data.experimentOptions.method));
    % Show appropriate buttons
    ShowPlotParametersTDEGUI(handles);
elseif handles.dataReady,
   set(handles.ConsoleText,'String','Data is ready.');
else
   set(handles.ConsoleText,'String','Please, select some files first.');
end
% Update handles structure
guidata(hObject, handles);


% --- Executes on button press in SNRm10CBox.
function SNRm10CBox_Callback(hObject, eventdata, handles)
% hObject    handle to SNRm10CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of SNRm10CBox
handles.plot.snr(handles.data.experimentOptions.snrValues == -10) = ...
    ~handles.plot.snr(handles.data.experimentOptions.snrValues == -10);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in SNRm5CBox.
function SNRm5CBox_Callback(hObject, eventdata, handles)
% hObject    handle to SNRm5CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of SNRm5CBox
handles.plot.snr(handles.data.experimentOptions.snrValues == -5) = ...
    ~handles.plot.snr(handles.data.experimentOptions.snrValues == -5);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in SNR5CBox.
function SNR5CBox_Callback(hObject, eventdata, handles)
% hObject    handle to SNR5CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of SNR5CBox
handles.plot.snr(handles.data.experimentOptions.snrValues == 5) = ...
    ~handles.plot.snr(handles.data.experimentOptions.snrValues == 5);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in SNR10CBox.
function SNR10CBox_Callback(hObject, eventdata, handles)
% hObject    handle to SNR10CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of SNR10CBox
handles.plot.snr(handles.data.experimentOptions.snrValues == 10) = ...
    ~handles.plot.snr(handles.data.experimentOptions.snrValues == 10);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in SNR0CBox.
function SNR0CBox_Callback(hObject, eventdata, handles)
% hObject    handle to SNR0CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of SNR0CBox
handles.plot.snr(handles.data.experimentOptions.snrValues == 0) = ...
    ~handles.plot.snr(handles.data.experimentOptions.snrValues == 0);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in fminuncCBox.
function fminuncCBox_Callback(hObject, eventdata, handles)
% hObject    handle to fminuncCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of fminuncCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'fminunc')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'fminunc'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in bypairsCBox.
function bypairsCBox_Callback(hObject, eventdata, handles)
% hObject    handle to bypairsCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of bypairsCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'bypairs')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'bypairs'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in truthCBox.
function truthCBox_Callback(hObject, eventdata, handles)
% hObject    handle to truthCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of truthCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'truth')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'truth'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in dipCBox.
function dipCBox_Callback(hObject, eventdata, handles)
% hObject    handle to dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of dipCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'dip')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'dip'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in initCBox.
function initCBox_Callback(hObject, eventdata, handles)
% hObject    handle to initCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of initCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'init')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'init'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in babCBox.
function babCBox_Callback(hObject, eventdata, handles)
% hObject    handle to babCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of initCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'bab')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'bab'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in bp2dipCBox.
function bp2dipCBox_Callback(hObject, eventdata, handles)
% hObject    handle to bp2dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of initCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'bp2dip')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'bp2dip'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in bab2dipCBox.
function bab2dipCBox_Callback(hObject, eventdata, handles)
% hObject    handle to bab2dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of initCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'bab2dip')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'bab2dip'));
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in T600CBox.
function T600CBox_Callback(hObject, eventdata, handles)
% hObject    handle to T600CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of T600CBox
handles.plot.t60(handles.data.experimentOptions.T60 == 0) = ...
    ~handles.plot.t60(handles.data.experimentOptions.T60 == 0);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in T601CBox.
function T601CBox_Callback(hObject, eventdata, handles)
% hObject    handle to T601CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of T601CBox
handles.plot.t60(handles.data.experimentOptions.T60 == 0.1) = ...
    ~handles.plot.t60(handles.data.experimentOptions.T60 == 0.1);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in T604CBox.
function T604CBox_Callback(hObject, eventdata, handles)
% hObject    handle to T604CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of T604CBox
handles.plot.t60(handles.data.experimentOptions.T60 == 0.2) = ...
    ~handles.plot.t60(handles.data.experimentOptions.T60 == 0.2);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in T606CBox.
function T606CBox_Callback(hObject, eventdata, handles)
% hObject    handle to T606CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of T606CBox
handles.plot.t60(handles.data.experimentOptions.T60 == 0.4) = ...
    ~handles.plot.t60(handles.data.experimentOptions.T60 == 0.4);
% Update handles structure
guidata(hObject, handles);

% --- Executes on button press in T602CBox.
function T602CBox_Callback(hObject, eventdata, handles)
% hObject    handle to T602CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of T602CBox
handles.plot.t60(handles.data.experimentOptions.T60 == 0.6) = ...
    ~handles.plot.t60(handles.data.experimentOptions.T60 == 0.6);
% Update handles structure
guidata(hObject, handles);

% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over MethodProperties.
function MethodProperties_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to MethodProperties (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function UnselectedList_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to UnselectedList (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in tdeCBox.
function tdeCBox_Callback(hObject, eventdata, handles)
% hObject    handle to tdeCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of initCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'ngtde')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'ngtde'));
% Update handles structure
guidata(hObject, handles);


% --- Executes on button press in cancliniCBox.
function cancliniCBox_Callback(hObject, eventdata, handles)
% hObject    handle to cancliniCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of cancliniCBox
% Hint: get(hObject,'Value') returns toggle state of initCBox
handles.plot.method(strcmp(handles.data.experimentOptions.method,'canclini')) = ...
    ~handles.plot.method(strcmp(handles.data.experimentOptions.method,'canclini'));
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function SNRm10CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SNRm10CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function SNRm5CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SNRm5CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function SNR5CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SNR5CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function SNR10CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SNR10CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function SNR0CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to SNR0CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function T600CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to T600CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function T601CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to T601CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function T604CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to T604CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function T606CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to T606CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function T602CBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to T602CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function fminuncCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to fminuncCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function bypairsCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to bypairsCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function truthCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to truthCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function dipCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function initCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to initCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function babCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to babCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function bp2dipCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to bp2dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function bab2dipCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to bab2dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function tdeCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to tdeCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function cancliniCBox_CreateFcn(hObject, eventdata, handles)
% hObject    handle to cancliniCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object deletion, before destroying properties.
function SNRm10CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to SNRm10CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function SNRm5CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to SNRm5CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function SNR5CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to SNR5CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function SNR10CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to SNR10CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function SNR0CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to SNR0CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function T600CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to T600CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function T601CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to T601CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function T604CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to T604CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function T606CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to T606CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function T602CBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to T602CBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function fminuncCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to fminuncCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function bypairsCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to bypairsCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function truthCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to truthCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function dipCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function initCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to initCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function babCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to babCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function bp2dipCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to bp2dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function bab2dipCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to bab2dipCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function tdeCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to tdeCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object deletion, before destroying properties.
function cancliniCBox_DeleteFcn(hObject, eventdata, handles)
% hObject    handle to cancliniCBox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
