function ShowPlotParametersTDEGUI(handles)
% Copyright 2012, Xavier Alameda-Pineda
% INRIA Grenoble Rhône-Alpes
% E-mail: xavi.alameda@gmail.com
% 
% This is part of the gtde program.
% 
% gtde is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

    % SNR Buttons
    % Default is invisible and unchecked
    % Snr = -10
    set(handles.SNRm10CBox,'Visible','off');
    set(handles.SNRm10CBox,'Value',get(handles.SNRm10CBox,'Min'));
    % Snr = -5
    set(handles.SNRm5CBox,'Visible','off');
    set(handles.SNRm5CBox,'Value',get(handles.SNRm5CBox,'Min'));
    % Snr = 0
    set(handles.SNR0CBox,'Visible','off');
    set(handles.SNR0CBox,'Value',get(handles.SNR0CBox,'Min'));
    % Snr = 5
    set(handles.SNR5CBox,'Visible','off');
    set(handles.SNR5CBox,'Value',get(handles.SNR5CBox,'Min'));
    % Snr = 10
    set(handles.SNR10CBox,'Visible','off');
    set(handles.SNR10CBox,'Value',get(handles.SNR10CBox,'Min'));
    % Otherwise we set on
    for s = 1:numel(handles.data.experimentOptions.snrValues)
        switch handles.data.experimentOptions.snrValues(s)
            case -10,
                set(handles.SNRm10CBox,'Visible','on');
            case -5,
                set(handles.SNRm5CBox,'Visible','on');
            case 0,
                set(handles.SNR0CBox,'Visible','on');
            case 5,
                set(handles.SNR5CBox,'Visible','on');
            case 10,
                set(handles.SNR10CBox,'Visible','on');
            otherwise
                error(['Software not ready for an SNR value of '...
                    num2str(handles.data.experimentOptions.snrValues(s))]);
        end
    end

    % T60 Buttons
    % Default is invisible
    % T60 = 0
    set(handles.T600CBox,'Visible','off');
    set(handles.T600CBox,'Value',get(handles.T600CBox,'Min'));
    % T60 = 0.1
    set(handles.T601CBox,'Visible','off');
    set(handles.T601CBox,'Value',get(handles.T601CBox,'Min'));
    % T60 = 0.2
    set(handles.T602CBox,'Visible','off');
    set(handles.T602CBox,'Value',get(handles.T602CBox,'Min'));
    % T60 = 0.4
    set(handles.T604CBox,'Visible','off');
    set(handles.T604CBox,'Value',get(handles.T604CBox,'Min'));
    % T60 = 0.6
    set(handles.T606CBox,'Visible','off');
    set(handles.T606CBox,'Value',get(handles.T606CBox,'Min'));
    % Otherwise we set on
    for s = 1:numel(handles.data.experimentOptions.T60)
        switch handles.data.experimentOptions.T60(s)
            case 0,
                set(handles.T600CBox,'Visible','on');
            case 0.1,
                set(handles.T601CBox,'Visible','on');
            case 0.2,
                set(handles.T602CBox,'Visible','on');
            case 0.4,
                set(handles.T604CBox,'Visible','on');
            case 0.6,
                set(handles.T606CBox,'Visible','on');
            otherwise
                error(['Software not ready for an T60 value of '...
                    num2str(handles.data.experimentOptions.T60(s))]);
        end
    end
    
    % Method Buttons
    % Default is invisible
    % Method = fminunc
    set(handles.fminuncCBox,'Visible','off');
    set(handles.fminuncCBox,'Value',get(handles.fminuncCBox,'Min'));
    % Method = fminunc
    set(handles.dipCBox,'Visible','off');
    set(handles.dipCBox,'Value',get(handles.dipCBox,'Min'));
    % Method = fminunc
    set(handles.initCBox,'Visible','off');
    set(handles.initCBox,'Value',get(handles.initCBox,'Min'));
    % Method = fminunc
    set(handles.truthCBox,'Visible','off');
    set(handles.truthCBox,'Value',get(handles.truthCBox,'Min'));
    % Method = fminunc
    set(handles.bypairsCBox,'Visible','off');
    set(handles.bypairsCBox,'Value',get(handles.bypairsCBox,'Min'));
    % Method = fminunc
    set(handles.babCBox,'Visible','off');
    set(handles.babCBox,'Value',get(handles.babCBox,'Min'));
    % Method = fminunc
    set(handles.bp2dipCBox,'Visible','off');
    set(handles.bp2dipCBox,'Value',get(handles.bp2dipCBox,'Min'));
    % Method = fminunc
    set(handles.bab2dipCBox,'Visible','off');
    set(handles.bab2dipCBox,'Value',get(handles.bab2dipCBox,'Min'));
    % Method = fminunc
    set(handles.tdeCBox,'Visible','off');
    set(handles.tdeCBox,'Value',get(handles.tdeCBox,'Min'));
    % Method = fminunc
    set(handles.cancliniCBox,'Visible','off');
    set(handles.cancliniCBox,'Value',get(handles.cancliniCBox,'Min'));
    % Otherwise we set on
    for s = 1:numel(handles.data.experimentOptions.method)
        switch handles.data.experimentOptions.method{s}
            case 'fminunc',
                set(handles.fminuncCBox,'Visible','on');
            case 'dip',
                set(handles.dipCBox,'Visible','on');
            case 'init',
                set(handles.initCBox,'Visible','on');
            case 'truth',
                set(handles.truthCBox,'Visible','on');
            case 'bypairs',
                set(handles.bypairsCBox,'Visible','on');
            case 'bab',
                set(handles.babCBox,'Visible','on');
            case 'bp2dip',
                set(handles.bp2dipCBox,'Visible','on');
            case 'bab2dip',
                set(handles.bab2dipCBox,'Visible','on');
            case 'ngtde',
                set(handles.tdeCBox,'Visible','on');
            case 'canclini',
                set(handles.cancliniCBox,'Visible','on');
            otherwise
                error(['Software not ready for the method '...
                    num2str(handles.data.experimentOptions.method{s})]);
        end
    end
    
end